Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 127535 - [Move] Cannot move second class in the file
[Move] Cannot move second class in the file
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Refactoring
6.x
All All
: P4 (vote)
: 7.2
Assigned To: Ralph Ruijs
issues@java
:
Depends on:
Blocks: 204440
  Show dependency treegraph
 
Reported: 2008-02-16 07:45 UTC by _ tboudreau
Modified: 2012-03-07 18:11 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ tboudreau 2008-02-16 07:45:13 UTC
Check out http://colorchooser.dev.java.net with a sticky tag of yesterday's date.

Open the color picker subproject, and open ColorPicker in it.  ColorPicker contains a second (non-nested) Java class, ColorPickerDialog.  Try to use the Move 
refactoring to move it into the same package.  You get an inscrutable warning (see screen shot) that it's using a feature of a class in the package it is already 
in, and then the refactoring runs and nothing happens.
Comment 1 Quality Engineering 2009-12-21 06:53:46 UTC
This bug was reported against NetBeans IDE 6.0 or an older release, or against a non-maintained module. NetBeans team does not have enough resources to get to this issue, therefore we are closing the issue as a WONTFIX. If you are interested in providing a patch for this bug, please see our NetFIX guidelines for how to proceed. 

We apologize for any inconvenience.


Thank you.
The NetBeans Team
Comment 2 _ tboudreau 2009-12-21 15:02:40 UTC
Reverting bogus issue closure
Comment 3 Jan Becicka 2011-09-16 09:10:09 UTC
A.java:
public class A {
}
class B {
}

it is not possible to move B to separate B.java file
Comment 4 Ralph Ruijs 2011-10-07 07:40:36 UTC
The current implementation of Move works on files, not classes. Changing to enhancement.
Comment 5 Ralph Ruijs 2012-03-06 10:11:36 UTC
Changeset: f97e43bce21d
Author:    Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Date:      2012-03-06 11:06
Message:   Issue #127535 - [Move] Cannot move second class in the file
Comment 6 Quality Engineering 2012-03-07 18:11:12 UTC
Integrated into 'main-golden', will be available in build *201203071105* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f97e43bce21d
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: Issue #127535 - [Move] Cannot move second class in the file


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo